Name:           python-objgraph
Version:        3.5.0
Release:        1%{?dist}
Summary:        objgraph is a module that lets you visually explore Python object graphs.

License:        MIT
URL:            https://mg.pov.lt/objgraph/
Source:         %{pypi_source objgraph}
Patch:          python3.11-compatibility.patch

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
objgraph is a module that lets you visually explore Python object graphs.
}

%description %_description

%package -n python3-objgraph
Summary:        %{summary}

%description -n python3-objgraph %_description


%prep
%autosetup -p1 -n objgraph-%{version}


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files objgraph


%check
%tox


%files -n python3-objgraph -f %{pyproject_files}
%doc README.*


%changelog
* Mon May 23 2022 Tomáš Hrnčiar <thrnciar@redhat.com> - 3.5.0-1
Initial package

